# Uses of Interface
org.eclipse.ecf.provider.comm.IConnection

Packages that use IConnection
Package
Description
org.eclipse.ecf.provider.comm
org.eclipse.ecf.provider.comm.tcp
org.eclipse.ecf.provider.generic

## Uses of IConnection in org.eclipse.ecf.provider.comm

Subinterfaces of IConnection in org.eclipse.ecf.provider.comm
Modifier and Type
Interface
Description
`interface`
`IAsynchConnection`
Asynchronous connection
`interface`
`ISynchAsynchConnection`
A connection instance that has both asynchronous and synchronous messaging capabilities
`interface`
`ISynchConnection`
Synchronous connection
Methods in org.eclipse.ecf.provider.comm that return IConnection
Modifier and Type
Method
Description
`IConnection`
ConnectionEvent.`getConnection()`
Constructors in org.eclipse.ecf.provider.comm with parameters of type IConnection
Modifier
Constructor
Description
``
`ConnectionEvent(IConnection source, Object data)`

## Uses of IConnection in org.eclipse.ecf.provider.comm.tcp

Classes in org.eclipse.ecf.provider.comm.tcp that implement IConnection
Modifier and Type
Class
Description
`final class`
`Client`
`final class`
`SSLClient`

## Uses of IConnection in org.eclipse.ecf.provider.generic

Methods in org.eclipse.ecf.provider.generic with parameters of type IConnection
Modifier and Type
Method
Description
`protected void`
SOContainer.`disconnect(IConnection conn)`
`protected void`
ClientSOContainer.`handleLeave(ID fromID, IConnection conn)`
`protected void`
SOContainer.`handleLeave(ID leftID, IConnection conn)`